Package com.ads.api.beans.mm

# Class Subject

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.mm.Subject

public class Subject extends Node
This class provides some beans control methods related to Subject such as name, description etc...and its Audit Specifications. This class extends Node class wherein it specifies whether the node comply to mapping, project, subject, component, field.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Subject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuditHistory`
  `getAuditHistory()`
  Returns the auditHistory Details.
  `String`
  `getConsiderUserDefinedFlag()`
  Returns the considerUserDefinedFlag Value.
  `int`
  `getParentSubjectId()`
  Returns the parentSubjectId.
  `int`
  `getProjectId()`
  Returns the projectId.
  `String`
  `getSubjectChangedDescription()`
  Returns the subjectChanged Description.
  `String`
  `getSubjectDescription()`
  Returns the Subject Description.
  `int`
  `getSubjectId()`
  Returns the subjectId.
  `String`
  `getSubjectName()`
  Returns the subjectName.
  `String`
  `getUserDefined1()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined10()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined11()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined12()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined13()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined14()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined15()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined2()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined3()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined4()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined5()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined6()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined7()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined8()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined9()`
  Returns the userDefinedField Value.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Method sets the auditHistory Details as specified.
  `void`
  `setConsiderUserDefinedFlag(String considerUserDefinedFlag)`
  Method sets the considerUserDefinedFlag value as specified.
  `void`
  `setParentSubjectId(int parentSubjectId)`
  Method sets the parentSubjectId as specified.
  `void`
  `setProjectId(int projectId)`
  Method sets the projectId as specified.
  `void`
  `setSubjectChangedDescription(String subjectChangedDescription)`
  Method sets the subjectChanged Description as specified.
  `void`
  `setSubjectDescription(String subjectDescription)`
  Method sets the Subject Description as specified.
  `void`
  `setSubjectId(int subjectId)`
  Method sets the subjectId as specified.
  `void`
  `setSubjectName(String subjectName)`
  Method sets the subjectName as specified.
  `void`
  `setUserDefined1(String userDefined1)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined10(String userDefined10)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined11(String userDefined11)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined12(String userDefined12)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined13(String userDefined13)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined14(String userDefined14)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined15(String userDefined15)`
  Method sets the userDefined value as specified.
  `void`
  `setUserDefined2(String userDefined2)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined3(String userDefined3)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined4(String userDefined4)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined5(String userDefined5)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined6(String userDefined6)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined7(String userDefined7)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined8(String userDefined8)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined9(String userDefined9)`
  Method sets the userDefinedField value as specified.

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Subject

    public Subject()

- ## Method Details

  - ### getSubjectId

    public int getSubjectId()
    Returns the subjectId.
    Returns:
      subjectId int

  - ### setSubjectId

    public void setSubjectId(int subjectId)
    Method sets the subjectId as specified.
    Parameters:
      `subjectId` - int

  - ### getSubjectName

    public String getSubjectName()
    Returns the subjectName.
    Returns:
      subjectName String

  - ### setSubjectName

    public void setSubjectName(String subjectName)
    Method sets the subjectName as specified.
    Parameters:
      `subjectName` - String

  - ### getSubjectDescription

    public String getSubjectDescription()
    Returns the Subject Description.
    Returns:
      subjectDescription String

  - ### setSubjectDescription

    public void setSubjectDescription(String subjectDescription)
    Method sets the Subject Description as specified.
    Parameters:
      `subjectDescription` - String

  - ### getSubjectChangedDescription

    public String getSubjectChangedDescription()
    Returns the subjectChanged Description.
    Returns:
      subjectChangedDescription String

  - ### setSubjectChangedDescription

    public void setSubjectChangedDescription(String subjectChangedDescription)
    Method sets the subjectChanged Description as specified.
    Parameters:
      `subjectChangedDescription` - String

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the auditHistory Details.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Method sets the auditHistory Details as specified.
    Parameters:
      `auditHistory` - AuditHistory

  - ### getProjectId

    public int getProjectId()
    Returns the projectId.
    Returns:
      projectId int

  - ### setProjectId

    public void setProjectId(int projectId)
    Method sets the projectId as specified.
    Parameters:
      `projectId` - int

  - ### getParentSubjectId

    public int getParentSubjectId()
    Returns the parentSubjectId.
    Returns:
      parentSubjectId int

  - ### setParentSubjectId

    public void setParentSubjectId(int parentSubjectId)
    Method sets the parentSubjectId as specified.
    Parameters:
      `parentSubjectId` - int

  - ### getUserDefined1

    public String getUserDefined1()
    Returns the userDefinedField Value.
    Returns:
      userDefined1 String

  - ### setUserDefined1

    public void setUserDefined1(String userDefined1)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined1` - String

  - ### getUserDefined2

    public String getUserDefined2()
    Returns the userDefinedField Value.
    Returns:
      userDefined2 String

  - ### setUserDefined2

    public void setUserDefined2(String userDefined2)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined2` - String

  - ### getUserDefined3

    public String getUserDefined3()
    Returns the userDefinedField Value.
    Returns:
      userDefined3 String

  - ### setUserDefined3

    public void setUserDefined3(String userDefined3)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined3` - String

  - ### getUserDefined4

    public String getUserDefined4()
    Returns the userDefinedField Value.
    Returns:
      userDefined4 String

  - ### setUserDefined4

    public void setUserDefined4(String userDefined4)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined4` - String

  - ### getUserDefined5

    public String getUserDefined5()
    Returns the userDefinedField Value.
    Returns:
      userDefined5 String

  - ### setUserDefined5

    public void setUserDefined5(String userDefined5)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined5` - String

  - ### getUserDefined6

    public String getUserDefined6()
    Returns the userDefinedField Value.
    Returns:
      userDefined6 String

  - ### setUserDefined6

    public void setUserDefined6(String userDefined6)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined6` - String

  - ### getUserDefined7

    public String getUserDefined7()
    Returns the userDefinedField Value.
    Returns:
      userDefined7 String

  - ### setUserDefined7

    public void setUserDefined7(String userDefined7)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined7` - String

  - ### getUserDefined8

    public String getUserDefined8()
    Returns the userDefinedField Value.
    Returns:
      userDefined8 String

  - ### setUserDefined8

    public void setUserDefined8(String userDefined8)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined8` - String

  - ### getUserDefined9

    public String getUserDefined9()
    Returns the userDefinedField Value.
    Returns:
      userDefined9 String

  - ### setUserDefined9

    public void setUserDefined9(String userDefined9)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined9` - String

  - ### getUserDefined10

    public String getUserDefined10()
    Returns the userDefinedField Value.
    Returns:
      userDefined10 String

  - ### setUserDefined10

    public void setUserDefined10(String userDefined10)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined10` - String

  - ### getUserDefined11

    public String getUserDefined11()
    Returns the userDefinedField Value.
    Returns:
      userDefined11 String

  - ### setUserDefined11

    public void setUserDefined11(String userDefined11)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined11` - String

  - ### getUserDefined12

    public String getUserDefined12()
    Returns the userDefinedField Value.
    Returns:
      userDefined12 String

  - ### setUserDefined12

    public void setUserDefined12(String userDefined12)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined12` - String

  - ### getUserDefined13

    public String getUserDefined13()
    Returns the userDefinedField Value.
    Returns:
      userDefined13 String

  - ### setUserDefined13

    public void setUserDefined13(String userDefined13)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined13` - String

  - ### getUserDefined14

    public String getUserDefined14()
    Returns the userDefinedField Value.
    Returns:
      userDefined14 String

  - ### setUserDefined14

    public void setUserDefined14(String userDefined14)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined14` - String

  - ### getUserDefined15

    public String getUserDefined15()
    Returns the userDefinedField Value.
    Returns:
      userDefined15 String

  - ### setUserDefined15

    public void setUserDefined15(String userDefined15)
    Method sets the userDefined value as specified.
    Parameters:
      `userDefined15` - String

  - ### getConsiderUserDefinedFlag

    public String getConsiderUserDefinedFlag()
    Returns the considerUserDefinedFlag Value.
    Returns:
      considerUserDefinedFlag String

  - ### setConsiderUserDefinedFlag

    public void setConsiderUserDefinedFlag(String considerUserDefinedFlag)
    Method sets the considerUserDefinedFlag value as specified.
    Parameters:
      `considerUserDefinedFlag` - String